astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Configuration system (`astropy.config`) »
- get_config_dir

# get_config_dir

`astropy.config.``get_config_dir`(create=True)

  Determines the Astropy configuration directory name and creates the directory if it doesn’t exist.

  This directory is typically `$HOME/.astropy/config`, but if the XDG_CONFIG_HOME environment variable is set and the `$XDG_CONFIG_HOME/astropy` directory exists, it will be that directory. If neither exists, the former will be created and symlinked to the latter.

  Returns:

  configdir : str

  > The absolute path to the configuration directory.